/****************************************************************************
 * 이벤트 정보 조회
 ****************************************************************************/
function fn_selectEvent(){
    let formData = new FormData();
    formData.append("muAppEventId", muAppEventId)
    $.ajax({
        url: encodeURI('/mobileevent/selectEvent.do'),
        data: formData,
        dataType: "json",
        processData: false,
        contentType: false,
        type: 'POST',
        async: false,
        success: function(data){
            if('0'==data.msgCode){
                if(0 < data.rows.length){
                    const event = data.rows[0];
                    $('.img_box').append(`<img style="width: 100%; height: 100%;" src="${decodeURI(event.filePath)}" alt="${event.title}">`);
                    $('.text_box').append(`<p>${decodeURI(event.title)}</p>
                                           <p>기간 ${event.eventStartDate} ~ ${event.eventEndDate}</p>`);
                    $('.content_box .title').text(event.content);
                    $('.content_box div').append(event.detail);
                    // swiperWrapper.empty(); // 기존 콘텐츠 초기화
                    //
                    // events.forEach((event, index) => {
                    //     // swiper-slide 클래스를 생성하여 이벤트 정보 삽입
                    //     const className = `swiper-slide slide-${index + 1}`;
                    //
                    //     const slideHTML = `
                    //         <div class="${className}">
                    //             <div class="banner_box" onClick="location.href='home_event.html?id=${event.muAppEventId}'">
                    //                 <div class="img_box">
                    //                     <img style="width: 100%; height: 100%;" src="${decodeURI(event.filePath)}" alt="${event.title}">
                    //                 </div>
                    //                 <div class="text_box">
                    //                     <p>${event.title}</p>
                    //                     <p>${event.content}</p>
                    //                 </div>
                    //             </div>
                    //         </div>
                    //     `;
                    //
                    //     // swiper-wrapper에 추가
                    //     swiperWrapper.append(slideHTML);
                    //     const homeSwiper = new Swiper('.homeSwiper', {
                    //         loop: true,
                    //         autoplay: true,
                    //         direction: 'horizontal',
                    //         pagination: {
                    //             el: '.swiper-pagination',
                    //             type: 'bullets'
                    //         },
                    //     });
                    // });
                }
            }
            else if(data.msgCode=='-1'){
                modalEvent.warning("조회 오류", data.msgDesc);
            }
            else{
                modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
            }
        },
        error : function(xhr, status, error) {
            modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
        },
        beforeSend:function(){

        },
        complete:function(){

        }
    });
}


/****************************************************************************
 * 페이지 init
 ****************************************************************************/
function fn_pageInit(){
    //메인이벤트조회
    fn_selectEvent();
}

/****************************************************************************
 * 페이지 event
 ****************************************************************************/
function fn_pageEvent(){
    // 아아디 keypress
    $(document).on('keypress', '#loginId', function(e){
        fn_enter(e);
    });

    // 비밀번호 keypress
    $(document).on('keypress', '#password', function(e){
        fn_enter(e);
    });

    // 로그인 버튼
    $("#btnLogin").click(function(){
        fn_login();
    });
}

$(function(){
    // 페이지 init
    fn_pageInit();

    // 페이지 event
    fn_pageEvent();
});